<?php
/*------------------------------------------------------------------------
# mod_smartpopular.php  (module)
# ------------------------------------------------------------------------
# version		1.0.0
# author    	Top Position
# copyright 	Copyright (c) 2011 Top Position All rights reserved.
# @license 		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Website		http://master-comunicacion.es/joomla-extensions/
-------------------------------------------------------------------------

# this module is based on Aixeena Zaragoza latest News (GNU licensed)


*/

defined('_JEXEC') or die;

if($params->get('include_css',1)) $document->addStyleSheet(JURI::base().'modules/mod_smartpopular/css/css'.$params->get('css',1).'.css');

?>

<ul class="smartpopular">
<?php foreach ($list as $item) : 

	if($params->get('show_intro',1)) {
		$introtext = $item->introtext;
		if($params->get('strip_intro',1)) 	$introtext = strip_tags($introtext);
		if($params->get('crop_intro',1)) 	$introtext = modsmartpopularHelper::firstXChars($introtext, $params->get('crop',200));
	}
	if($params->get('show_image1',0)) $images  = json_decode($item->images);
		
 ?>
	<li class="smartpopular-newsli">
    	<?php if($params->get('show_image1',0)) { ?>
        <div class="smartpopular-img">
			<img
			<?php if (isset($images->image_intro_caption) && $images->image_intro_caption):
				echo 'class="caption"'.' title="' .htmlspecialchars($images->image_intro_caption) .'"';
			endif; ?>
			src="<?php echo htmlspecialchars($images->image_intro); ?>" alt="<?php echo htmlspecialchars($images->image_intro_alt); ?>"/>
		</div>
        <?php } ?>
    	
		<?php if($params->get('show_header',1)) echo '<div class="smartpopular-category">'.$item->category_title.'</div>'; ?>
    	<div class="smartpopular-title">
        	<?php if($params->get('link_title',1)) { ?><a href="<?php echo $item->link; ?>" class="smartpopular-title-link"><?php } ?>
			<?php echo $item->title; ?>
            <?php if($params->get('link_title',1)) { ?></a><?php } ?>
            </div>
   		<?php if($params->get('show_date',1)) echo '<div class="smartpopular-date">'.strftime($params->get('date_format','%d-%m-%Y'), strtotime($item->publish_up)).'</div>'; ?>
        <?php if($params->get('show_hits',1)) echo '<div class="smartpopular-hits">'.$item->hits.' '.$params->get('hits','hits').'</div>'; ?>
    	<?php if($params->get('show_intro',1)) echo '<div class="smartpopular-introtext">'.$introtext.'</div>'; ?>
    	<?php if($params->get('show_readmore',1)) echo '<div class="smartpopular-readmore"><a href="'.$item->link.'" class="smartpopular-lreadmore">'.$params->get('readmore_text',"Read more").'</a></div>'; ?>
		
	</li>
<?php endforeach; ?>
<?php if($params->get('show_link',1)) { ?>
	<li  class="smartpopular-more"><a href="<?php echo $params->get('link',""); ?>"><?php echo $params->get('link_text',"More news..."); ?></a></li>
<?php } ?>
</ul>
<div style="font-family:Verdana, Arial, Helvetica, sans-serif; font-size:10px; font-style:italic; text-align:right; display:block;">By <a href="">Bootcamp Madrid</a></div>

